Std: Creați un Grup

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std Group and the translation is 19% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎한국어
Arrow-left.svg Previous: Std Part.svg Part
Next: LinkMake Std LinkMake.svg Arrow-right.svg

Std Group.svg Std Group

Menu location
Tree View → Right click on the document name
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
Draft SelectGroup, Draft AddToGroup

Descriere

Această comandă vă permite să creați un grup în vizualizarea arborescentă.
Acesta poate fi folosit pentru organizarea structurii modelului dvs.

The Std Group tool is not defined by a particular workbench, but by the base system, thus it is found in the structure toolbar that is available in all workbenches.

To group 3D objects as a single unit, with the intention of creating assemblies, use Std Part instead.

Group with objects.png

Various elements inside Std Groups in the tree view.

Utilizare

Faceți clic dreapta pe numele documentului dvs. FreeCAD în vizualizarea arborescentă și alegeți "creare grup".
Un grup va fi creat automat și va da pictograma unui director și a unui nume ales automat.
Puteți redenumi grupul făcând clic dreapta pe grup și selectând "redenumiți" sau folosind "F2" de pe tastatură.
Împingeți obiectele FreeCAD în grup sau scoateți-le din grup făcând clic pe obiectul dorit,
mențineți apăsat butonul stânga al mouse-ului și folosiți stilul drag & drop pentru a trage obiectul în noua locație dorită.
Atâta timp cât există un semn "cerc cu linie diagonală" - sub cursor, nu vă puteți lăsa obiectul aici.
De îndată ce semnul se schimbă într-un simbol "plus", este posibil să vă abandonați obiectul aici.

Proprietăți

The Std Group, internally called App DocumentObjectGroup (App::DocumentObjectGroup class), is derived from the basic App DocumentObject (App::DocumentObject class) and inherits all its properties.

The Std Group has the same properties as the App FeaturePython, which is the most basic instance of an App DocumentObject. It also has the following additional properties in the property editor. Hidden properties can be shown by using the Show all command in the context menu of the property editor.

Data

Base

  • DateLabel: Numele grupului

Script

Următaorea comandaă adugă un nou grup în documentul activ:

See Part Feature for the general information on adding objects to the document.

A Std Group (App DocumentObjectGroup) is created with the addObject() method of the document. Once a Group exists, other objects can be added to it with the addObject() or addObjects() methods.

import FreeCAD as App

doc = App.newDocument()
group = App.ActiveDocument.addObject("App::DocumentObjectGroup", "Group")

obj1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
obj2 = App.ActiveDocument.addObject("Part::Box", "Box")

group.addObjects([obj1, obj2])
App.ActiveDocument.recompute()

This basic App::DocumentObjectGroup doesn't have a Proxy object so it can't be fully used for sub-classing.

For Python subclassing you should create a App::DocumentObjectGroupPython object.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroupPython", "Name")
obj.Label = "Custom label"

For example, a FEM Analysis is an App::DocumentObjectGroupPython object with a custom icon and additional properties.

Legături


Arrow-left.svg Previous: Std Part.svg Part
Next: LinkMake Std LinkMake.svg Arrow-right.svg